package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProAuthorityDAO;
import com.philisense.www.mapper.ProAuthorityMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProAuthorityDAOImpl implements ProAuthorityDAO {
        @Autowired
        private ProAuthorityMapper proAuthorityMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proAuthorityMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proAuthorityMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proAuthorityMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proAuthorityMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proAuthorityMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proAuthorityMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proAuthorityMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proAuthorityMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proAuthorityMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proAuthorityMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proAuthorityMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proAuthorityMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proAuthorityMapper.updateBatch(list);
        }
}
